# org.pdfclown.documents.contents.objects.ContentObject Class Reference

Abstract content object [PDF:1.6:4.1]. More...

Inheritance diagram for org.pdfclown.documents.contents.objects.ContentObject:

List of all members.

## Public Member Functions
virtual void | Scan (ContentScanner.GraphicsState state)
| Applies this object to the specified graphics context, updating the specified graphics state.
abstract void | WriteTo (IOutputStream stream, Document context)
| Serializes this object to the specified stream.

##

Abstract content object [PDF:1.6:4.1].

## Member Function Documentation

virtual void org.pdfclown.documents.contents.objects.ContentObject.Scan | ( | ContentScanner.GraphicsState | state | ) | `[virtual]`

Applies this object to the specified graphics context, updating the specified graphics state.

Parameters:

  | state | Graphics state.

Reimplemented in org.pdfclown.documents.contents.objects.ApplyExtGState, org.pdfclown.documents.contents.objects.BeginSubpath, org.pdfclown.documents.contents.objects.CloseSubpath, org.pdfclown.documents.contents.objects.CompositeObject, org.pdfclown.documents.contents.objects.DrawCurve, org.pdfclown.documents.contents.objects.DrawLine, org.pdfclown.documents.contents.objects.DrawRectangle, org.pdfclown.documents.contents.objects.LocalGraphicsState, org.pdfclown.documents.contents.objects.ModifyClipPath, org.pdfclown.documents.contents.objects.ModifyCTM, org.pdfclown.documents.contents.objects.PaintPath, org.pdfclown.documents.contents.objects.SetCharSpace, org.pdfclown.documents.contents.objects.SetDeviceCMYKFillColor, org.pdfclown.documents.contents.objects.SetDeviceCMYKStrokeColor, org.pdfclown.documents.contents.objects.SetDeviceGrayFillColor, org.pdfclown.documents.contents.objects.SetDeviceGrayStrokeColor, org.pdfclown.documents.contents.objects.SetDeviceRGBFillColor, org.pdfclown.documents.contents.objects.SetDeviceRGBStrokeColor, org.pdfclown.documents.contents.objects.SetFillColor, org.pdfclown.documents.contents.objects.SetFillColorSpace, org.pdfclown.documents.contents.objects.SetFont, org.pdfclown.documents.contents.objects.SetLineCap, org.pdfclown.documents.contents.objects.SetLineDash, org.pdfclown.documents.contents.objects.SetLineJoin, org.pdfclown.documents.contents.objects.SetLineWidth, org.pdfclown.documents.contents.objects.SetMiterLimit, org.pdfclown.documents.contents.objects.SetStrokeColor, org.pdfclown.documents.contents.objects.SetStrokeColorSpace, org.pdfclown.documents.contents.objects.SetTextLead, org.pdfclown.documents.contents.objects.SetTextMatrix, org.pdfclown.documents.contents.objects.SetTextRenderMode, org.pdfclown.documents.contents.objects.SetTextRise, org.pdfclown.documents.contents.objects.SetTextScale, org.pdfclown.documents.contents.objects.SetWordSpace, org.pdfclown.documents.contents.objects.ShowText, org.pdfclown.documents.contents.objects.TranslateTextRelative, and org.pdfclown.documents.contents.objects.TranslateTextToNextLine.

abstract void org.pdfclown.documents.contents.objects.ContentObject.WriteTo | ( | IOutputStream | stream,
|  | Document | context |
| ) |  |  | `[pure virtual]`

Serializes this object to the specified stream.

Parameters:

  | stream | Target stream.
  | context | Document context.

Implemented in org.pdfclown.documents.contents.objects.CompositeObject, org.pdfclown.documents.contents.objects.InlineImage, org.pdfclown.documents.contents.objects.InlineImageBody, org.pdfclown.documents.contents.objects.LocalGraphicsState, org.pdfclown.documents.contents.objects.MarkedContent, org.pdfclown.documents.contents.objects.Operation, and org.pdfclown.documents.contents.objects.Text.

Referenced by org.pdfclown.documents.contents.Contents.Flush(), and org.pdfclown.documents.contents.objects.CompositeObject.WriteTo().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.